<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="88ea8df4-5dbc-49b8-b3df-2eb51cffc0b3" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/Arraz.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/Arraz.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/MoreArrayc.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/MoreArrayc.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/OddsAndEvens.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/OddsAndEvens.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/OddsAndEvensMethods.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/OddsAndEvensMethods.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/ArrazTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/ArrazTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/MoreArraysTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/MoreArraysTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/OddsAndEventsTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/OddsAndEventsTest.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="1079749333">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.3" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="java" value="17" />
          <entry key="md" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JAVA" value="17" />
          <entry key="Markdown" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="7032" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="7032" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/MoreArraysTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="181">
              <caret line="158" column="33" selection-start-line="158" selection-start-column="33" selection-end-line="158" selection-end-column="33" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/MoreArrayc.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="170">
              <caret line="124" lean-forward="true" selection-start-line="124" selection-end-line="124" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#446#455#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/Arraz.java" />
        <option value="$PROJECT_DIR$/src/test/java/ArrazTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/OddsAndEvens.java" />
        <option value="$PROJECT_DIR$/src/main/java/OddsAndEvensMethods.java" />
        <option value="$PROJECT_DIR$/src/test/java/OddsAndEventsTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/MoreArrays.java" />
        <option value="$PROJECT_DIR$/src/test/java/MoreArrays.java" />
        <option value="$PROJECT_DIR$/src/main/java/MoreArrayz.java" />
        <option value="$PROJECT_DIR$/src/test/java/MoreArraysTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/MoreArrayc.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="225" />
    <option name="y" value="23" />
    <option name="width" value="991" />
    <option name="height" value="709" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1544235469961" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/pom.xml" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.MoreArraysTest.find2ndLargestValueFromArrayTest">
    <configuration name="MoreArraysTest.CopyAnArrayByIteratingitTestAddingnew" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="MoreArraysTest" />
      <option name="METHOD_NAME" value="CopyAnArrayByIteratingitTestAddingnew" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MoreArraysTest.CopyAnArrayByloopingitTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="MoreArraysTest" />
      <option name="METHOD_NAME" value="CopyAnArrayByloopingitTest" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MoreArraysTest.CopyAnArrayByloopingitTestadding" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="MoreArraysTest" />
      <option name="METHOD_NAME" value="CopyAnArrayByloopingitTestadding" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MoreArraysTest.find2ndLargestValueFromArrayTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="MoreArraysTest" />
      <option name="METHOD_NAME" value="find2ndLargestValueFromArrayTest" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MoreArraysTest.removeElementFromArray" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="MoreArraysTest" />
      <option name="METHOD_NAME" value="removeElementFromArray" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.MoreArraysTest.CopyAnArrayByIteratingitTestAddingnew" />
      <item itemvalue="JUnit.MoreArraysTest.CopyAnArrayByloopingitTest" />
      <item itemvalue="JUnit.MoreArraysTest.CopyAnArrayByloopingitTestadding" />
      <item itemvalue="JUnit.MoreArraysTest.removeElementFromArray" />
      <item itemvalue="JUnit.MoreArraysTest.find2ndLargestValueFromArrayTest" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.MoreArraysTest.find2ndLargestValueFromArrayTest" />
        <item itemvalue="JUnit.MoreArraysTest.removeElementFromArray" />
        <item itemvalue="JUnit.MoreArraysTest.CopyAnArrayByloopingitTestadding" />
        <item itemvalue="JUnit.MoreArraysTest.CopyAnArrayByloopingitTest" />
        <item itemvalue="JUnit.MoreArraysTest.CopyAnArrayByIteratingitTestAddingnew" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="88ea8df4-5dbc-49b8-b3df-2eb51cffc0b3" name="Default Changelist" comment="" />
      <created>1544063273407</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1544063273407</updated>
      <workItem from="1544063277559" duration="32781000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="MoreArraysTest_removeElementFromArray - 2018.12.07 at 18h 47m 32s.xml">
      <configuration name="MoreArraysTest.removeElementFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MoreArraysTest_removeElementFromArray - 2018.12.07 at 18h 54m 57s.xml">
      <configuration name="MoreArraysTest.removeElementFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MoreArraysTest_removeElementFromArray - 2018.12.07 at 19h 03m 00s.xml">
      <configuration name="MoreArraysTest.removeElementFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MoreArraysTest_removeElementFromArray - 2018.12.07 at 19h 03m 10s.xml">
      <configuration name="MoreArraysTest.removeElementFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MoreArraysTest_removeElementFromArray - 2018.12.07 at 19h 04m 53s.xml">
      <configuration name="MoreArraysTest.removeElementFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MoreArraysTest_removeElementFromArray - 2018.12.07 at 19h 05m 23s.xml">
      <configuration name="MoreArraysTest.removeElementFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MoreArraysTest_removeElementFromArray - 2018.12.07 at 19h 05m 30s.xml">
      <configuration name="MoreArraysTest.removeElementFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MoreArraysTest_find2ndLargestValueFromArrayTest - 2018.12.07 at 21h 16m 54s.xml">
      <configuration name="MoreArraysTest.find2ndLargestValueFromArrayTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MoreArraysTest_find2ndLargestValueFromArrayTest - 2018.12.07 at 21h 17m 04s.xml">
      <configuration name="MoreArraysTest.find2ndLargestValueFromArrayTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MoreArraysTest_find2ndLargestValueFromArrayTest - 2018.12.07 at 21h 17m 14s.xml">
      <configuration name="MoreArraysTest.find2ndLargestValueFromArrayTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="32781000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="225" y="23" width="991" height="709" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="UI Designer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.23498419" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Messages" weight="0.3273906" />
      <window_info anchor="bottom" id="Database Changes" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.32901135" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3987034" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Palette" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="Maven Projects" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/../README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/OddsAndEvens.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" selection-start-line="13" selection-end-line="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/OddsAndEventsTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="247">
          <caret line="77" column="3" selection-start-line="77" selection-start-column="3" selection-end-line="77" selection-end-column="3" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/MoreArrays.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/MoreArrayz.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" column="4" selection-start-line="4" selection-start-column="4" selection-end-line="4" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Arraz.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1695">
          <caret line="113" selection-start-line="113" selection-end-line="113" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/OddsAndEvensMethods.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="97">
          <caret line="29" column="23" selection-start-line="29" selection-start-column="23" selection-end-line="29" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/ArrazTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="262">
          <caret line="244" selection-start-line="244" selection-end-line="244" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/MoreArraysTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="158" column="33" selection-start-line="158" selection-start-column="33" selection-end-line="158" selection-end-column="33" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/MoreArrayc.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="124" lean-forward="true" selection-start-line="124" selection-end-line="124" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#446#455#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>